List case visa application quotes
Retrieves the visa application quote Deel proposed on an eligibility check case, with all its fees. Returns an empty list when the case has none. Requires the case_id returned from the List cases endpoint.
Token scopes: immigration:read
Beta: this version requires the X-Beta: true request header and its contract may change before it is promoted to stable. It is scheduled to become stable on 2027-01-14.
Authentication
AuthorizationBearer
Authentication
The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.
curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
-H 'Authorization: Bearer YOUR-TOKEN-HERE'
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/
Headers
X-Beta
Opts in to the beta version of this endpoint. Must be true.
Allowed values:
Query parameters
case_id
The unique identifier of the eligibility check case.
Response
Successful response with the case's visa application quotes.
data
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error